Robot Simulator of the Robotics Group for Self-Organization of Control: ShortCircuit Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ShortCircuit Class Reference

`#include <shortcircuit.h>`

Inherits OdeRobot.

Inheritance diagram for ShortCircuit:

[legend]
Collaboration diagram for ShortCircuit:

[legend]
List of all members.

## Public Member Functions
| ShortCircuit (const OdeHandle &odeHandle, const OsgHandle &osgHandle, int sensornumber, int motornumber)
virtual | ~ShortCircuit ()
virtual void | update ()
| update the OSG notes here
virtual void | place (const osg::Matrix &pose)
| sets the pose of the vehicle
virtual int | getSensors (sensor *sensors, int sensornumber)
| returns actual sensorvalues
virtual void | setMotors (const motor *motors, int motornumber)
| sets actual motorcommands
virtual int | getSensorNumber ()
| returns number of sensors
virtual int | getMotorNumber ()
| returns number of motors
virtual void | doInternalStuff (GlobalData &globalData)
| this function is called in each timestep.
virtual bool | collisionCallback (void *data, dGeomID o1, dGeomID o2)
## Protected Member Functions
virtual Primitive * | getMainPrimitive () const
| the main object of the robot, which is used for position and speed tracking
## Protected Attributes
DummyPrimitive * | dummy
int | sensorno
int | motorno
motor * | motors

## Constructor & Destructor Documentation

ShortCircuit | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | int | sensornumber,
|  | int | motornumber |
| ) |  |  |

~ShortCircuit | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool collisionCallback | ( | void * | data,
|  | dGeomID | o1,
|  | dGeomID | o2 |
| ) |  |  | `[inline, virtual]`

Deprecated:
  Do not use it anymore, collision control is done automatically. In case of a treatment return true (collision will be ignored by other objects and the default routine) else false (collision is passed to other objects and (if not treated) to the default routine).

Reimplemented from OdeRobot.

virtual void doInternalStuff | ( | GlobalData & | globalData | ) | `[inline, virtual]`

this function is called in each timestep.

It should perform robot-internal checks, like space-internal collision detection, sensor resets/update etc.

Parameters:

  | globalData | structure that contains global data from the simulation environment

Implements OdeRobot.

virtual Primitive* getMainPrimitive | ( |  | ) | const`[inline, protected, virtual]`

the main object of the robot, which is used for position and speed tracking

Implements OdeRobot.

virtual int getMotorNumber | ( |  | ) | `[inline, virtual]`

returns number of motors

Implements AbstractRobot.

virtual int getSensorNumber | ( |  | ) | `[inline, virtual]`

returns number of sensors

Implements AbstractRobot.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[virtual]`

returns actual sensorvalues

Parameters:

  | sensors | sensors scaled to [-1,1]
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Implements AbstractRobot.

virtual void place | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

sets the pose of the vehicle

Parameters:

  | pose | desired 4x4 pose matrix

Implements OdeRobot.

void setMotors | ( | const motor * | motors,
|  | int | motornumber |
| ) |  |  | `[virtual]`

sets actual motorcommands

Parameters:

  | motors | motors scaled to [-1,1]
  | motornumber | length of the motor array

Implements AbstractRobot.

virtual void update | ( |  | ) | `[inline, virtual]`

update the OSG notes here

Implements OdeRobot.

## Member Data Documentation

DummyPrimitive* dummy`[protected]`

int motorno`[protected]`

motor* motors`[protected]`

int sensorno`[protected]`

The documentation for this class was generated from the following files:

- shortcircuit.h
- shortcircuit.cpp